# $Revision: 1.14 $, $Date: 2006/12/08 01:30:29 $
# TODO:
#	- check why the tests fail and fix that
#
Summary:	Jakarta Commons Net - utility functions and components
Summary(pl):	Jakarta Commons Net - funkcje i komponenty narzdziowe
Name:		jakarta-commons-net
Version:	1.4.1
Release:	3
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/jakarta/commons/net/source/commons-net-%{version}-src.tar.gz
# Source0-md5:	ccbb3f67b55e8a7a676499db4386673c
Patch0:		%{name}-disable_tests.patch
URL:		http://jakarta.apache.org/commons/net/
BuildRequires:	ant >= 1.5
BuildRequires:	jakarta-oro >= 2.0.8
BuildRequires:	jaxp
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jakarta-oro >= 2.0.8
Requires:	jre
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jakarta Commons Net is a set of utility functions and reusable
components that should be a help in any Java environment.

%description -l pl
Jakarta Commons Net to zestaw funkcji narzdziowych i komponentw
wielokrotnego uycia, ktre mog by pomocne w kadym rodowisku Javy.

%package javadoc
Summary:	Jakarta Commons Net documentation
Summary(pl):	Dokumentacja do Jakarta Commons Net
Group:		Development/Languages/Java
Requires:	jpackage-utils

%description javadoc
Jakarta Commons Net documentation.

%description javadoc -l pl
Dokumentacja do Jakarta Commons Net.

%prep
%setup -q -n commons-net-%{version}
%patch0 -p1

%build
cp LICENSE.txt LICENSE
export CLASSPATH="`build-classpath oro junit`"
export JAVA_HOME="%{java_home}"

# needed for tests, for some reason they ignore $CLASSPATH
mkdir -p target/lib
ln -sf %{_javadir}/oro.jar target/lib

%ant dist \
	-Dnoget=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

install dist/*.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf commons-net-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-net.jar

cp -R dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc dist/LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jakarta-commons-net.spec,v $
Revision 1.14  2006/12/08 01:30:29  glen
- proper ant BR; rel 3

Revision 1.13  2006/12/08 01:08:55  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.12  2006/05/26 11:39:24  qboosh
- cleanup

Revision 1.11  2006/05/26 11:25:28  jajcus
- tests disabled, as they fail (no good, but better faulty package, that none)
- BRs updated
- ExclusiveArch
- javadoc subpackages

Revision 1.10  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.9  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.8  2005/12/10 17:57:52  qboosh
- updated to 1.4.1

Revision 1.7  2005/05/08 19:04:13  qboosh
- updated to 1.4.0, removed obsolete source1.4 patch
- needs ant with junit support

Revision 1.6  2005/02/12 18:22:28  blues
- added source1.4 patch, make it build

Revision 1.5  2005/02/11 11:07:05  blues
- no net subdir

Revision 1.4  2004/12/14 16:32:31  baggins
- BR jaxp

Revision 1.3  2004/12/14 16:08:55  baggins
- forced ant not to download anything

Revision 1.2  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.1  2004/12/14 13:11:33  baggins
- initial revision
